Name:           maven-shade-plugin
Version:        1.7.1
Release:        %mkrel 2
Summary:        This plugin provides the capability to package the artifact in an uber-jar

Group:          Development/Java
License:        ASL 2.0
URL:            http://maven.apache.org/plugins/%{name}
Source0:        http://repo2.maven.org/maven2/org/apache/maven/plugins/%{name}/%{version}/%{name}-%{version}-source-release.zip

BuildArch: noarch

BuildRequires: java-devel >= 1:1.6.0
BuildRequires: jpackage-utils
BuildRequires: plexus-utils
BuildRequires: ant
BuildRequires: maven
BuildRequires: maven-wagon
BuildRequires: plexus-container-default
BuildRequires: plexus-containers-component-metadata
BuildRequires: maven-install-plugin
BuildRequires: maven-compiler-plugin
BuildRequires: maven-plugin-plugin
BuildRequires: maven-resources-plugin
BuildRequires: maven-surefire-plugin
BuildRequires: maven-surefire-provider-junit4
BuildRequires: maven-jar-plugin
BuildRequires: maven-javadoc-plugin
BuildRequires: maven-plugin-testing-harness
BuildRequires: jdependency >= 0.6
BuildRequires: xmlunit
Requires: ant
Requires: maven
Requires: jpackage-utils
Requires: java >= 1:1.6.0
Requires: jdependency >= 0.6

Obsoletes: maven2-plugin-shade <= 0:2.0.8
Provides: maven2-plugin-shade = 1:%{version}-%{release}

%description
This plugin provides the capability to package the artifact in an
uber-jar, including its dependencies and to shade - i.e. rename - the
packages of some of the dependencies.


%package javadoc
Group:          Development/Java
Summary:        API documentation for %{name}
Requires:       jpackage-utils

%description javadoc
%{summary}.

%prep
%setup -q

rm src/test/jars/plexus-utils-1.4.1.jar
ln -s $(build-classpath plexus/utils) src/test/jars/plexus-utils-1.4.1.jar

%build
mvn-rpmbuild install javadoc:javadoc

%install
# jars
install -Dpm 644 target/%{name}-%{version}.jar   %{buildroot}%{_javadir}/%{name}.jar

# poms
install -Dpm 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom

%add_maven_depmap JPP-%{name}.pom %{name}.jar

# javadoc
install -dm 755 %{buildroot}%{_javadocdir}/%{name}
cp -pr target/site/api*/* %{buildroot}%{_javadocdir}/%{name}/

%files
%{_javadir}/*
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*
%doc LICENSE NOTICE


%files javadoc
%{_javadocdir}/%{name}
%doc LICENSE



%changelog

* Sat Jan 12 2013 umeabot <umeabot> 1.7.1-2.mga3
+ Revision: 359771
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Sep 12 2012 dmorgan <dmorgan> 1.7.1-1.mga3
+ Revision: 292675
- New version

* Tue Jul 10 2012 dmorgan <dmorgan> 1.5-2.mga3
+ Revision: 269145
- Migration to plexus-containers-component-metadata

* Fri Jan 06 2012 dmorgan <dmorgan> 1.5-1.mga2
+ Revision: 192178
- New version 1.5

* Wed Jul 20 2011 dmorgan <dmorgan> 1.4-5.mga2
+ Revision: 127428
- Build with maven 3.x.
    - Use upstream source.
    - Guidelines fixes.

* Thu Apr 28 2011 dmorgan <dmorgan> 1.4-4.mga1
+ Revision: 92726
- Rebuild after bootstrapping
- imported package maven-shade-plugin

